export declare class RequestContextRegistry<T extends RequestContext = RequestContext> {
    constructor();
    context: any;
    getContext(): T;
    setContext(partialContext: Partial<T>): void;
    clearContext(): void;
}
export interface RequestContext extends Record<string, any> {
    requestId?: string;
    authMethod?: string;
    identitySummary?: string;
    sourceIp?: string;
    identityData?: any;
    path?: string;
    method?: string;
}
